﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids;

namespace XamGrid_ConditionalcellStyling
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<Person> persons;
        public MainPage()
        {
            InitializeComponent();

            persons = new ObservableCollection<Person>();
            persons.Add(new Person("Hans", "Rosenthal"));
            persons.Add(new Person("James", "Bond"));
            persons.Add(new Person("Robert", "Mayer"));
            persons.Add(new Person("Daniel", "Mayer"));
            persons.Add(new Person("Christian", "Mayer"));
            persons.Add(new Person("Hans", "Bauer"));
            persons.Add(new Person("Kai", "Rosenthal"));
            persons.Add(new Person("Helmut", "Bauer"));
            persons.Add(new Person("Jürgen", "Huber"));
            persons.Add(new Person("Thomas", "Rosenthal"));
            persons.Add(new Person("Julia", "Bauer"));
            persons.Add(new Person("Kerstin", "Huber"));
            this.xamGrid1.ItemsSource = persons;
        }

        private void xamGrid1_InitializeRow(object sender, Infragistics.Controls.Grids.InitializeRowEventArgs e)
        {
            Row row = e.Row as Row;
            if (row != null)
            {
                // Enable Conditional Formatting   
                this.xamGrid1.ConditionalFormattingSettings.AllowConditionalFormatting = true;

                // Create DataBarConditionFormatRule  
                EqualToConditionalFormatRule rule = new EqualToConditionalFormatRule();
                rule.StyleScope = StyleScope.Cell;
                rule.StyleToApply = this.Resources["UnderlinedStyle"] as Style;
                rule.Value = "Hans";
                this.xamGrid1.Columns.DataColumns["Name"].ConditionalFormatCollection.Add(rule);
            }
        }
    }
}
